var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useEffect } from 'react';
import classnames from 'classnames';
import { path } from 'ramda';
import i18n from 'ui-i18n';
import Portal from '@mui/material/Portal';
import RCErrorPopup from 'react-components/dist/ErrorPopup/ErrorPopup';
import { useMdmAction, useMdmAutoCloseInterval, useMdmUiError } from '../contexts/MdmModuleContext';
import { useStyles } from './styles';
var addError = RCErrorPopup.addError;
export var ErrorPopup = function (_a) {
    var showErrorFromStore = _a.showErrorFromStore, props = __rest(_a, ["showErrorFromStore"]);
    var styles = useStyles();
    var errorSet = useMdmAction('errorSet');
    var autoCloseInterval = useMdmAutoCloseInterval();
    var uiError = useMdmUiError();
    useEffect(function () {
        if (uiError && showErrorFromStore) {
            ErrorPopup.addError({ title: i18n.text('Error'), message: uiError });
            errorSet(null);
        }
    }, [errorSet, uiError, showErrorFromStore]);
    return (React.createElement(Portal, { container: document.body },
        React.createElement(RCErrorPopup, __assign({ classes: { errorBlock: classnames(styles.errorBlock, path(['classes', 'errorBlock'], props)) }, autoCloseInterval: autoCloseInterval }, props))));
};
ErrorPopup.addError = addError;
